curl --request GET \
--url https://api.dispersed.com/v1/nodes/{node_uuid}import requests
url = "https://api.dispersed.com/v1/nodes/{node_uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dispersed.com/v1/nodes/{node_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"reputation": 50,
"object": "node",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cpus": [
{
"name": "<string>",
"num_cores": 123
}
],
"gpus": [
{
"name": "<string>",
"vram_gb_available": 123,
"vram_gb_max": 123
}
],
"hard_drives": [
{
"available_capacity_gb": 123,
"max_capacity_gb": 123,
"name": "<string>"
}
],
"rams": [
{
"memory_gb_available": 123,
"memory_gb_max": 123
}
],
"ramTotal": 123,
"_id": "<string>",
"uuid": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"latest_hardware_event": {
"timestamp_ms": 123,
"object": "node_hardware_event",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"metadata": {
"cpu": {
"average": 123,
"cores": [
123
]
},
"gpu": {
"gpus": [
{
"load": 123,
"name": "<string>",
"vram": {
"free": 123,
"total": 123
}
}
],
"average": 123
},
"ram": {
"free": 123,
"total": 123
},
"storage": {
"hard_drives": [
{
"free_capacity": 123,
"model": "<string>",
"name": "<string>",
"total_capacity": 123
}
]
}
},
"node": "<string>",
"node_hardware": "<string>",
"account": "<string>"
},
"current_hardware": {
"cpus": [
{
"name": "<string>",
"num_cores": 123,
"architecture": "<string>",
"base_clock_mhz": 123,
"chipset": "<string>",
"device_id": "<string>",
"features": [],
"num_threads_per_core": 123
}
],
"gpus": [
{
"name": "<string>",
"vram_bytes_total": 123,
"base_clock_mhz": 123,
"device_id": "<string>",
"gpu_registry_uuid": "<string>"
}
],
"memory": {
"ram_bytes_total": 123,
"base_clock_mhz": 123,
"device_id": "<string>"
},
"storage": {
"capacity_bytes_free": 123,
"capacity_bytes_total": 123,
"device_id": "<string>"
},
"operating_system": {
"architecture": "<string>",
"brand": "<string>",
"name": "<string>",
"version": "<string>"
},
"schema_version": 123,
"object": "node_hardware",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"node": "<string>",
"node_uuid": "<string>",
"machine_id": "<string>",
"checksum_sha256": "<string>",
"_id": "<string>"
},
"current_software": {
"schema_version": 123,
"object": "node_software",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"node": "<string>",
"node_uuid": "<string>",
"capabilities": [],
"cached_image_tags": [
"ubuntu:22.04",
"pytorch/pytorch:latest"
],
"docker": {
"images": [],
"version": null
},
"nvidia_driver": {
"version": null
},
"operating_system": {
"architecture": null,
"brand": "",
"name": "",
"version": ""
},
"zernet_client": {
"version": null
}
},
"ipv4_address": "<string>",
"ipv6_address": "<string>",
"mac_address": "<string>",
"operator_account": {
"email": "jsmith@example.com",
"object": "account",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"last_login": "2023-11-07T05:31:56Z",
"consumer_profile": {
"is_active": true,
"is_compute_billing_enabled": true,
"object": "consumer_profile",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"account_uuid": "<string>",
"render_user_id": "<string>",
"allowed_region_codes": [],
"deleted_at": "2023-11-07T05:31:56Z"
},
"operator_profile": {
"is_active": true,
"object": "operator_profile",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"account_uuid": "<string>",
"wallet_address": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
},
"user_profile": {
"email_verified": true,
"object": "user_profile",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"account_uuid": "<string>",
"name": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"middle_name": "<string>",
"preferred_username": "<string>",
"oauth_provider": "<string>",
"oauth_subject": "<string>"
},
"deleted_at": "2023-11-07T05:31:56Z"
},
"operator_account_uuid": "<string>",
"suspended_at": "2023-11-07T05:31:56Z",
"current_suspension": {
"started_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"follow_up": "<string>",
"object": "node_suspension",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"node_uuid": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"suspended_by_account_uuid": "<string>",
"unsuspended_by_account_uuid": "<string>"
},
"deleted_at": "2023-11-07T05:31:56Z",
"operating_system": {
"brand": "<string>",
"name": "<string>",
"version": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}Node Details
Path Parameters
Response
Node details
AVAILABLE, ASSIGNED, PREPARING, WORKING, STOPPING, OFFLINE, DELETED, RESOURCE_BUSY, OUTDATED_CLIENT 0 <= x <= 100node DEPRECATED: This field is deprecated and will be removed in a future version. Use current_hardware instead.
Show child attributes
Show child attributes
DEPRECATED: This field is deprecated and will be removed in a future version. Use current_hardware instead.
Show child attributes
Show child attributes
DEPRECATED: This field is deprecated and will be removed in a future version. Use current_hardware instead.
Show child attributes
Show child attributes
DEPRECATED: This field is deprecated and will be removed in a future version. Use current_hardware instead.
Show child attributes
Show child attributes
DEPRECATED: This field is deprecated and will be removed in a future version. Use current_hardware instead.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
DEPRECATED: This field is deprecated and will be removed in a future version. Use current_software instead.
Show child attributes
Show child attributes